pydo.microvm_checkpoints.create()

Generated on 13 Nov 2026 from pydo version v0.46.0

Usage

client.microvm_checkpoints.create(
    microvm_id="01a0ef1a-d873-793d-ae6a-5dd6239be62a",
    body={
        "name": "example-checkpoint",
    },
)
Returns JSON Raises HttpResponseError

Description

To create a checkpoint of a running or paused MicroVM, send a POST request to /v2/microvms/{microvm_id}/checkpoints.

The capture runs in the background and does not change the MicroVM’s state. Poll GET /v2/microvms/checkpoints/{checkpoint_id} until status is CHECKPOINT_AVAILABLE.

Parameters

microvm_id string required

The unique ID of the MicroVM.

name string optional

Example: example-checkpoint

A name for the checkpoint. If you omit it, a name such as checkpoint-20260929-143559 is generated.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "name": "example-checkpoint"
}

resp = client.microvm_checkpoints.create(microvm_id="01a0ef1a-d873-793d-ae6a-5dd6239be62a", body=req)

Response Example

Show Response Example
{
  "checkpoint": {
    "id": "01a0ed98-0a74-75dd-a625-e4856adbc298",
    "name": "example-checkpoint",
    "microvm_id": "01a0ef1a-d873-793d-ae6a-5dd6239be62a",
    "microvm_name": "example-microvm",
    "region": "mkc1",
    "size": {
      "cpu": 1,
      "memory": 2048,
      "disk": 50
    },
    "status": "CHECKPOINT_AVAILABLE",
    "memory_bytes": 2147483648,
    "disk_bytes": 1073741824,
    "created_at": "2026-09-29T14:35:59Z"
  }
}

More Information

See /v2/microvms/{microvm_id}/checkpoints in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.